#include "zonefile_cod11_360.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD11_360::ZoneFile_COD11_360()
    : ZoneFile()
{
    pSetType(0, ASSET_TYPE_PHYSPRESET);
    pSetType(1, ASSET_TYPE_PHYSCOLLMAP);
    pSetType(2, ASSET_TYPE_XANIMPARTS);
    pSetType(3, ASSET_TYPE_XANIMPARTS);
    pSetType(4, ASSET_TYPE_XMODEL_SURFS);
    pSetType(5, ASSET_TYPE_XMODEL);
    pSetType(6, ASSET_TYPE_PIXELSHADER);
    pSetType(7, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(8, ASSET_TYPE_IMAGE);
    pSetType(9, ASSET_TYPE_SOUND);
    pSetType(10, ASSET_TYPE_SOUND_SUBMIX);
    pSetType(11, ASSET_TYPE_SOUND_CURVE);
    pSetType(12, ASSET_TYPE_SOUND_EVENT);
    pSetType(13, ASSET_TYPE_LPF_CURVE);
    pSetType(14, ASSET_TYPE_REVERB_CURVE);
    pSetType(15, ASSET_TYPE_LOADED_SOUND);
    pSetType(16, ASSET_TYPE_CLIPMAP);
    pSetType(17, ASSET_TYPE_COMWORLD);
    pSetType(18, ASSET_TYPE_GLASSWORLD);
    pSetType(19, ASSET_TYPE_PATHDATA);
    pSetType(20, ASSET_TYPE_VEHICLE_TRACK);
    pSetType(21, ASSET_TYPE_MAP_ENTS);
    pSetType(22, ASSET_TYPE_FXWORLD);
    pSetType(23, ASSET_TYPE_GFXWORLD);
    pSetType(24, ASSET_TYPE_GFXWORLD_TRANSIENT_ZONE);
    pSetType(25, ASSET_TYPE_LIGHT_DEF);
    pSetType(26, ASSET_TYPE_UI_MAP);
    pSetType(27, ASSET_TYPE_FONT);
    pSetType(28, ASSET_TYPE_MENULIST);
    pSetType(29, ASSET_TYPE_MENU);
    pSetType(30, ASSET_TYPE_ANIMCLASS);
    pSetType(31, ASSET_TYPE_LOCALIZE_ENTRY);
    pSetType(32, ASSET_TYPE_ATTACHMENT);
    pSetType(33, ASSET_TYPE_WEAPON);
    pSetType(34, ASSET_TYPE_SNDDRIVER_GLOBALS);
    pSetType(35, ASSET_TYPE_FX);
    pSetType(36, ASSET_TYPE_IMPACT_FX);
    pSetType(37, ASSET_TYPE_SURFACE_FX);
    pSetType(38, ASSET_TYPE_AITYPE);
    pSetType(39, ASSET_TYPE_MPTYPE);
    pSetType(40, ASSET_TYPE_CHARACTER);
    pSetType(41, ASSET_TYPE_XMODELALIAS);
    pSetType(42, ASSET_TYPE_RAWFILE);
    pSetType(43, ASSET_TYPE_SCRIPTFILE);
    pSetType(44, ASSET_TYPE_STRINGTABLE);
    pSetType(45, ASSET_TYPE_LEADERBOARD);
    pSetType(46, ASSET_TYPE_STRUCTURED_DATA_DEF);
    pSetType(47, ASSET_TYPE_TRACER);
    pSetType(48, ASSET_TYPE_VEHICLE);
    pSetType(49, ASSET_TYPE_ADDON_MAP_ENTS);
    pSetType(50, ASSET_TYPE_NET_CONST_STRINGS);
    pSetType(51, ASSET_TYPE_REVERB_PRESET);
    pSetType(52, ASSET_TYPE_SCRIPTABLE);
    pSetType(53, ASSET_TYPE_DOPPLER_PRESET);
    pSetType(54, ASSET_TYPE_LASER);
    pSetType(55, ASSET_TYPE_SKELETON_SCRIPT);
    pSetType(56, ASSET_TYPE_COUNT);
    pSetType(57, ASSET_TYPE_STRING);
    pSetType(58, ASSET_TYPE_ASSETLIST);
}

ZoneFile_COD11_360::~ZoneFile_COD11_360()
{

}

bool ZoneFile_COD11_360::Load(const QByteArray aFileData) {
    return true;
}

